Get Products
GET /obp/v7.0.0/banks/BANK_ID/products
OBPv6.0.0-getProductsV600 No role required Product
Returns the financial Products offered by the bank specified by BANK_ID. Response includes the new tags field.
Optional query parameter tag — filter to products that carry the given tag (case-insensitive). Repeat tag= to require multiple tags (e.g. ?tag=featured&tag=new).
User Authentication is Optional. The User need not be logged in.
URL Parameters:
BANK_ID: gh.29.uk
JSON response body fields (12)
- bank_id
- gh.29.uk
- description
- Description of the object. Maximum length is 2000. It can be any characters here.
- id
- d8839721-ad8f-45dd-9f78-2080414b93f9
- license
- meta
- more_info_url
- www.example.com/abc
- name
- ACCOUNT_MANAGEMENT_FEE
- parent_product_code
- 787LOW
- product_code
- 1234BW
- products
- tags
- Create-My-User
- terms_and_conditions_url
- www.example.com/xyz
Example success response
{
"products": [
{
"bank_id": "gh.29.uk",
"product_code": "1234BW",
"parent_product_code": "parent",
"name": "product name",
"more_info_url": "www.example.com/prod1/more-info.html",
"terms_and_conditions_url": "www.example.com/prod1/terms.html",
"description": "Description",
"meta": {
"license": {
"id": "ODbL-1.0",
"name": "Open Database License"
}
},
"tags": [
"featured",
"new"
]
}
]
}Possible errors (2)
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-50000: Unknown Error.